Stars
Date: 2019-10-22

org.jmol.shape

## Class Stars

- java.lang.Object
- - org.jmol.shape.Shape
  - - org.jmol.shape.AtomShape
    - - org.jmol.shape.Stars

-     public class Stars
      extends AtomShape

- - ### Field Summary

    - ### Fields inherited from class org.jmol.shape.AtomShape

      `ac, atoms, bsSizeDefault, colixes, isActive, mad, mads, monomerCount, paletteIDs`

    - ### Fields inherited from class org.jmol.shape.Shape

      `bsColixSet, bsSizeSet, isBioShape, ms, myType, RADIUS_MAX, shapeID, translucentAllowed, translucentLevel, vf, vwr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Stars()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setProperty(java.lang.String propertyName, java.lang.Object value, javajs.util.BS bs)`

    - ### Methods inherited from class org.jmol.shape.AtomShape

      `checkColixLength, getInfoAsString, getShapeState, getSize, initModelSet, initShape, setAtomClickability, setColixAndPalette, setPropAS, setSize, setSize2, setSizeRD, setSizeRD2`

    - ### Methods inherited from class org.jmol.shape.Shape

      `appendCmd, checkBoundsMinMax, checkObjectClicked, checkObjectDragged, checkObjectHovered, coordinateInRange, encodeColor, findNearestAtomIndex, getColix, getColixA, getColixB, getColixI, getColorCommand, getColorCommandUnk, getFontCommand, getIndexFromName, getProperty, getPropertyData, getPropShape, getShapeDetail, getSizeG, getTranslucentLabel, initializeShape, replaceGroup, setModelSet, setModelVisibilityFlags, setPropS, setShapeSizeRD, wasClicked`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Stars

          public Stars()

  - ### Method Detail

    - #### setProperty

          public void setProperty(java.lang.String propertyName,
                                  java.lang.Object value,
                                  javajs.util.BS bs)

      Specified by:
        `setProperty` in class `Shape`